For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The Drive object
          • GET/drives
          • GET/drives/{id}

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsDrives

/drives/{id}

GET
/filestorage/v1/drives/:id
GET
/api/filestorage/v1/drives/:id
$curl https://api.merge.dev/api/filestorage/v1/drives/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "f9e3d315-d6c2-458e-85c4-fa773d6ff4a6",
3 "remote_id": "2039348",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "My Drive",
7 "remote_created_at": "2024-01-15T09:30:00Z",
8 "drive_url": "https://drive.com/drives/2039349",
9 "size": 2738000,
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/drives",
22 "data": null
23 }
24 ]
25}

Returns a Drive object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/drives

Next

The File object

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=254 characters
The drive's name.
remote_created_atdatetime or null
When the third party's drive was created.
drive_urlstring or null<=2000 characters
The drive's url.
sizelong or null-9223372036854776000-9223372036854776000
The drive's size, in bytes.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only